Bug 683571 - firmware error every two minutes
firmware error every two minutes
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: iwl3945-firmware (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 13:07 EST by Dan Winship
Modified: 2011-04-30 23:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-28 08:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Winship 2011-03-09 13:07:51 EST
every two minutes (presumably NM scanning?) this appears in dmesg:

[  308.175030] iwl3945 0000:03:00.0: Microcode SW error detected. Restarting 0x82000008.
[  308.175983] iwl3945 0000:03:00.0: Loaded firmware version: 15.32.2.9
[  308.186450] iwl3945 0000:03:00.0: Start IWL Error Log Dump:
[  308.192039] iwl3945 0000:03:00.0: Status: 0x0002A2E4, count: 1
[  308.197620] iwl3945 0000:03:00.0: Desc       Time       asrtPC  blink2 ilink1  nmiPC   Line
[  308.203428] iwl3945 0000:03:00.0: SYSASSERT     (0x5) 1259464988 0x008B6 0x13756 0x0031C 0x00000 764
[  308.203432]
[  308.214665] iwl3945 0000:03:00.0: Start IWL Event Log Dump: display last 20 count
[  308.220279] iwl3945 0000:03:00.0: 1259463998○0x00000000○0212
[  308.221232] iwl3945 0000:03:00.0: 1259464329○0x00000000○0215
[  308.221232] iwl3945 0000:03:00.0: 1259464403○0x00400008○0220
[  308.221232] iwl3945 0000:03:00.0: 1259464419○0x00000000○0301
[  308.221232] iwl3945 0000:03:00.0: 1259464687○0x000000d4○0303
[  308.221232] iwl3945 0000:03:00.0: 1259464746○0x000000d9○0106
[  308.221232] iwl3945 0000:03:00.0: 1259464747○0x00000000○0301
[  308.221232] iwl3945 0000:03:00.0: 1259464821○0x0000000b○0353
[  308.221232] iwl3945 0000:03:00.0: 1259464831○0x00000000○0352
[  308.221232] iwl3945 0000:03:00.0: 1259464856○0x000000d9○0106
[  308.221232] iwl3945 0000:03:00.0: 1259464858○0x00000000○0301
[  308.221232] iwl3945 0000:03:00.0: 1259464932○0x0000000c○0353
[  308.221232] iwl3945 0000:03:00.0: 1259464942○0x00000000○0352
[  308.221232] iwl3945 0000:03:00.0: 1259464949○0x44300080○0401
[  308.221232] iwl3945 0000:03:00.0: 1259464962○0x0000000d○0452
[  308.221232] iwl3945 0000:03:00.0: 1259464967○0x00173b6e○0450
[  308.221232] iwl3945 0000:03:00.0: 1259464973○0x00173b6e○0450
[  308.221232] iwl3945 0000:03:00.0: 1259464978○0x00193b6e○0450
[  308.221232] iwl3945 0000:03:00.0: 1259464983○0x00193b6e○0450
[  308.221232] iwl3945 0000:03:00.0: 1259464989○0x00000100○0125
[  308.319921] iwl3945 0000:03:00.0: Error Reply type 0x000002FC cmd REPLY_SCAN_CMD (0x80) seq 0x4430 ser 0x00340000
[  308.328981] iwl3945 0000:03:00.0: Can't stop Rx DMA.
Comment 1 Stanislaw Gruszka 2011-03-18 03:36:04 EDT
Trying workaround with disable_hw_scan=1, see bug 688252.
Comment 2 Stanislaw Gruszka 2011-03-18 09:39:20 EDT
disable_hw_scan=1 helps:
https://bugzilla.redhat.com/show_bug.cgi?id=688252#c8
Comment 3 Mat Booth 2011-04-24 09:03:59 EDT
There is an upstream NetworkManager bug relating to this: https://bugzilla.gnome.org/show_bug.cgi?id=644551
Comment 4 Stanislaw Gruszka 2011-04-28 08:56:51 EDT
We can fix this in firmware but have driver workaround handled in bug 688252.
Comment 5 Stanislaw Gruszka 2011-04-28 08:57:20 EDT
(In reply to comment #4)
> We can fix 
can not fix
Comment 6 Fedora Update System 2011-04-28 20:55:54 EDT
kernel-2.6.38.4-20.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.38.4-20.fc15
Comment 7 Fedora Update System 2011-04-30 23:31:50 EDT
kernel-2.6.38.4-20.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.